org.apache.hadoop.mapreduce.v2.api.records.impl.pb

## Class CounterPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterProto>
  - - org.apache.hadoop.mapreduce.v2.api.records.impl.pb.CounterPBImpl

- All Implemented Interfaces:
    Counter

      public class CounterPBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterProto>
      implements Counter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterPBImpl()`
    `CounterPBImpl(MRProtos.CounterProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getName()`
    `MRProtos.CounterProto` | `getProto()`
    `long` | `getValue()`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setValue(long value)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterPBImpl

          public CounterPBImpl()

    - #### CounterPBImpl

          public CounterPBImpl(MRProtos.CounterProto proto)

  - ### Method Detail

    - #### getProto

          public MRProtos.CounterProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRProtos.CounterProto>`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Counter`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `Counter`

    - #### getValue

          public long getValue()

      Specified by:
        `getValue` in interface `Counter`

    - #### setValue

          public void setValue(long value)

      Specified by:
        `setValue` in interface `Counter`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `Counter`

    - #### setDisplayName

          public void setDisplayName(String displayName)

      Specified by:
        `setDisplayName` in interface `Counter`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.